ServerEvents.recipes(event => {
    // Infusion Altar recipe change
    event.remove({output: 'mysticalagriculture:infusion_altar'})
    event.shaped(
        Item.of('mysticalagriculture:infusion_altar', 1), // arg 1: output
        [ 
          'BRB', 
          'RSR',
          'SSS' // arg 2: the shape (array of strings)
        ],
        {
          S: 'minecraft:stone',
          R: 'kubejs:red_alloy_ingot',
          B: 'create:brass_ingot'
        }
    )

    event.remove({output: 'mysticalagriculture:infusion_pedestal'})
    event.shaped(
        Item.of('mysticalagriculture:infusion_pedestal', 1), // arg 1: output
        [ 
          ' B ', 
          'RSR',
          ' S ' // arg 2: the shape (array of strings)
        ],
        {
          S: 'minecraft:stone',
          R: 'kubejs:red_alloy_ingot',
          B: 'create:brass_ingot'
        }
    )

    event.remove({output: 'mysticalagriculture:awakening_altar'})
    event.shaped(
        Item.of('mysticalagriculture:awakening_altar', 1), // arg 1: output
        [ 
          'BDB', 
          'DSD',
          'SSS' // arg 2: the shape (array of strings)
        ],
        {
          S: 'mysticalagriculture:soulstone',
          D: 'ad_astra:desh_ingot',
          B: 'create:brass_ingot'
        }
    )

    event.remove({output: 'mysticalagriculture:awakening_pedestal'})
    event.shaped(
        Item.of('mysticalagriculture:awakening_pedestal', 1), // arg 1: output
        [ 
          'BDB', 
          ' S ',
          ' S ' // arg 2: the shape (array of strings)
        ],
        {
            S: 'mysticalagriculture:soulstone',
            D: 'ad_astra:desh_ingot',
            B: 'create:brass_ingot'
        }
    )

    event.remove({output: 'mysticalagriculture:machine_frame'})
    event.shaped(
        Item.of('mysticalagriculture:machine_frame', 1), // arg 1: output
        [ 
          'IRI', 
          'RSR',
          'IRI' // arg 2: the shape (array of strings)
        ],
        {
            S: '#c:stone',
            I: 'minecraft:iron_ingot',
            R: 'kubejs:red_alloy_ingot'
        }
    )
})